# _TypeInfo Struct Reference

`#include <type.h>`

## Data Fields

unsigned long | face
char * | path
char * | name
char * | description
char * | family
StyleType | style
StretchType | stretch
unsigned long | weight
char * | encoding
char * | foundry
char * | format
char * | metrics
char * | glyphs
MagickBooleanType | stealth
struct _TypeInfo * | previous
struct _TypeInfo * | next
unsigned long | signature

## Field Documentation

unsigned long _TypeInfo::face

char* _TypeInfo::path

char * _TypeInfo::name

char * _TypeInfo::description

char * _TypeInfo::family

StyleType _TypeInfo::style

StretchType _TypeInfo::stretch

unsigned long _TypeInfo::weight

char* _TypeInfo::encoding

char * _TypeInfo::foundry

char * _TypeInfo::format

char * _TypeInfo::metrics

char * _TypeInfo::glyphs

MagickBooleanType _TypeInfo::stealth

struct _TypeInfo* _TypeInfo::previous `[read]`

struct _TypeInfo * _TypeInfo::next `[read]`

unsigned long _TypeInfo::signature

The documentation for this struct was generated from the following file:

- type.h